Bug 996769 - [abrt] wicd-common- wicd-daemon.py:918:ReadConfig:OSError: [Errno 13] Permission denied: '/etc/wicd/dhclient.conf.template'
[abrt] wicd-common- wicd-daemon.py:918:ReadConfig:OSError: [Er...
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2013-08-13 18:19 EDT by darren
Modified: 2015-02-18 09:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 09:05:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1020 bytes, text/plain)
2013-08-13 18:19 EDT, darren
no flags Details
File: environ (125 bytes, text/plain)
2013-08-13 18:19 EDT, darren
no flags Details

  None (edit)
Description darren 2013-08-13 18:19:46 EDT
Description of problem:
attempting to start wicd with SELinux enabled

Version-Release number of selected component:

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py --no-daemon
executable:     /usr/share/wicd/daemon/wicd-daemon.py
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
wicd-daemon.py:918:ReadConfig:OSError: [Errno 13] Permission denied: '/etc/wicd/dhclient.conf.template'

Traceback (most recent call last):
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 1848, in <module>
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 1811, in main
    daemon = WicdDaemon(wicd_bus, auto_connect=auto_connect)
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 115, in __init__
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 918, in ReadConfig
    os.chmod(dhclient_conf, 0644)
OSError: [Errno 13] Permission denied: '/etc/wicd/dhclient.conf.template'

Local variables in innermost frame:
dns_dom: None
be_def: 'external'
dns3: None
dns2: None
dns1: None
search_dom: None
self: <__main__.WicdDaemon at /org/wicd/daemon at 0x275db90>
iface: 'virbr0-nic'
app_conf: /etc/wicd/manager-settings.conf
b_wifi: <__main__.WirelessDaemon at /org/wicd/daemon/wireless at 0x2769410>
b_wired: <__main__.WiredDaemon at /org/wicd/daemon/wired at 0x2769390>

Potential duplicate: bug 915453
Comment 1 darren 2013-08-13 18:19:49 EDT
Created attachment 786322 [details]
File: backtrace
Comment 2 darren 2013-08-13 18:19:52 EDT
Created attachment 786323 [details]
File: environ
Comment 3 David Cantrell 2014-07-02 11:03:46 EDT
SELinux denials, reassigning to selinux-policy-targeted.  If this is something I need to change in the wicd package, let me know and reassign it back.
Comment 4 Fedora End Of Life 2015-01-09 17:15:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 09:05:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.